idf_component_register(SRCS "eis4.c" "eis.c" "echem.c" "protocol.c" "wifi_transport.c" "temp.c" "refs.c"
                       INCLUDE_DIRS "."
                       REQUIRES ad5941 ad5941_port nvs_flash esp_wifi esp_netif esp_event esp_timer)

if(DEFINED ENV{WIFI_SSID})
    target_compile_definitions(${COMPONENT_LIB} PRIVATE
        STA_SSID="$ENV{WIFI_SSID}"
        STA_PASS="$ENV{WIFI_PASS}")
endif()
